Bug 1734526 - [abrt] cerbere: g_application_release(): io.elementary.cerbere killed by SIGSEGV
Summary: [abrt] cerbere: g_application_release(): io.elementary.cerbere killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cerbere
Version: 30
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fabio Valentini
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:8cfc4e28d8022be8ba323781256...
: 1734609 1737152 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-30 19:10 UTC by Onder
Modified: 2019-09-14 16:33 UTC (History)
3 users (show)

Fixed In Version: cerbere-2.5.0-2.fc30 cerbere-2.5.0-2.fc29 cerbere-2.5.0-3.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-12 21:08:32 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (15.13 KB, text/plain)
2019-07-30 19:10 UTC, Onder
no flags Details
File: cgroup (331 bytes, text/plain)
2019-07-30 19:10 UTC, Onder
no flags Details
File: core_backtrace (8.59 KB, text/plain)
2019-07-30 19:11 UTC, Onder
no flags Details
File: cpuinfo (1.82 KB, text/plain)
2019-07-30 19:11 UTC, Onder
no flags Details
File: dso_list (1.84 KB, text/plain)
2019-07-30 19:11 UTC, Onder
no flags Details
File: environ (3.63 KB, text/plain)
2019-07-30 19:11 UTC, Onder
no flags Details
File: exploitable (82 bytes, text/plain)
2019-07-30 19:11 UTC, Onder
no flags Details
File: limits (1.29 KB, text/plain)
2019-07-30 19:11 UTC, Onder
no flags Details
File: maps (13.59 KB, text/plain)
2019-07-30 19:11 UTC, Onder
no flags Details
File: mountinfo (3.69 KB, text/plain)
2019-07-30 19:11 UTC, Onder
no flags Details
File: open_fds (652 bytes, text/plain)
2019-07-30 19:11 UTC, Onder
no flags Details
File: proc_pid_status (1.32 KB, text/plain)
2019-07-30 19:11 UTC, Onder
no flags Details

Description Onder 2019-07-30 19:10:55 UTC
Description of problem:
I was using Pantheon desktop on Fedora, then went for GNOME session. When I clicked log out from Pantheon, system sent me to a black screen which I can type some letters. On this screen, I rebooted my system with Ctrl + Alt + Del combo, and logged in to GNOME session. After logging in, this crash happened and bring this screen to report.

Version-Release number of selected component:
cerbere-2.5.0-1.fc30

Additional info:
reporter:       libreport-2.10.1
backtrace_rating: 3
cmdline:        /usr/libexec/io.elementary.cerbere
crash_function: g_application_release
executable:     /usr/libexec/io.elementary.cerbere
journald_cursor: s=ab708b28943d48de8ee2bfa8fcb06f0f;i=4434;b=4ee9f74c51444b1d9d1e508e0515af07;m=66b15f2c4;t=58eeaa7bcf64a;x=770f139481857d9c
kernel:         5.1.19-300.fc30.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (9 frames)
 #0 g_application_release at ../gio/gapplication.c:2247
 #2 g_log@plt
 #3 cerbere_app_handle_sigterm at ../src/Cerbere.vala:91
 #4 _cerbere_app_handle_sigterm_sighandler_t at ../src/Cerbere.vala:72
 #6 __poll at ../sysdeps/unix/sysv/linux/poll.c:29
 #7 g_main_context_poll at ../glib/gmain.c:4228
 #9 g_main_context_iteration at ../glib/gmain.c:3988
 #10 g_application_run at ../gio/gapplication.c:2516
 #11 cerbere_app_main at ../src/Cerbere.vala:102

Comment 1 Onder 2019-07-30 19:10:58 UTC
Created attachment 1594781 [details]
File: backtrace

Comment 2 Onder 2019-07-30 19:10:59 UTC
Created attachment 1594782 [details]
File: cgroup

Comment 3 Onder 2019-07-30 19:11:01 UTC
Created attachment 1594783 [details]
File: core_backtrace

Comment 4 Onder 2019-07-30 19:11:02 UTC
Created attachment 1594784 [details]
File: cpuinfo

Comment 5 Onder 2019-07-30 19:11:03 UTC
Created attachment 1594785 [details]
File: dso_list

Comment 6 Onder 2019-07-30 19:11:04 UTC
Created attachment 1594786 [details]
File: environ

Comment 7 Onder 2019-07-30 19:11:05 UTC
Created attachment 1594787 [details]
File: exploitable

Comment 8 Onder 2019-07-30 19:11:06 UTC
Created attachment 1594788 [details]
File: limits

Comment 9 Onder 2019-07-30 19:11:08 UTC
Created attachment 1594789 [details]
File: maps

Comment 10 Onder 2019-07-30 19:11:09 UTC
Created attachment 1594790 [details]
File: mountinfo

Comment 11 Onder 2019-07-30 19:11:11 UTC
Created attachment 1594791 [details]
File: open_fds

Comment 12 Onder 2019-07-30 19:11:12 UTC
Created attachment 1594792 [details]
File: proc_pid_status

Comment 13 Fabio Valentini 2019-07-30 20:13:12 UTC
Ah. I think the recent update introduced this issue, since I can confirm that it's happening on my test VM as well.

I've reported the issue upstream:

https://github.com/elementary/cerbere/issues/33

Comment 14 Fabio Valentini 2019-08-02 20:50:46 UTC
*** Bug 1734609 has been marked as a duplicate of this bug. ***

Comment 15 Fabio Valentini 2019-08-02 20:50:57 UTC
*** Bug 1737152 has been marked as a duplicate of this bug. ***

Comment 16 Fedora Update System 2019-09-04 13:47:30 UTC
FEDORA-2019-367187110c has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-367187110c

Comment 17 Fedora Update System 2019-09-04 14:03:53 UTC
FEDORA-2019-bf59ad461b has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-bf59ad461b

Comment 18 Fedora Update System 2019-09-04 14:05:05 UTC
FEDORA-2019-7e71b7a557 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-7e71b7a557

Comment 19 Fedora Update System 2019-09-04 21:35:29 UTC
cerbere-2.5.0-3.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-367187110c

Comment 20 Fedora Update System 2019-09-05 12:52:52 UTC
cerbere-2.5.0-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-bf59ad461b

Comment 21 Fedora Update System 2019-09-05 13:06:29 UTC
cerbere-2.5.0-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-7e71b7a557

Comment 22 Fedora Update System 2019-09-12 21:08:32 UTC
cerbere-2.5.0-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2019-09-12 21:34:21 UTC
cerbere-2.5.0-2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2019-09-14 00:09:47 UTC
cerbere-2.5.0-3.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 25 Fedora Update System 2019-09-14 16:33:24 UTC
cerbere-2.5.0-3.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.